Skip to main content
GET
/
v2
/
app-relationships
List App Relationships
curl --request GET \
  --url https://public.api.serval.com/v2/app-relationships \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "appInstanceId": "<string>",
      "relationshipType": "APP_RELATIONSHIP_TYPE_UNSPECIFIED",
      "targetId": "<string>",
      "targetType": "APP_RELATIONSHIP_TARGET_TYPE_UNSPECIFIED",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

targetId
string

Filter by target ID (user or group ID).

targetType
enum<string>

Filter by target type.

Available options:
APP_RELATIONSHIP_TARGET_TYPE_UNSPECIFIED,
APP_RELATIONSHIP_TARGET_TYPE_USER,
APP_RELATIONSHIP_TARGET_TYPE_GROUP
appInstanceId
string
required

The app instance ID to list relationships for.

relationshipType
enum<string>

Filter by relationship type.

Available options:
APP_RELATIONSHIP_TYPE_UNSPECIFIED,
APP_RELATIONSHIP_TYPE_OWNER
pageSize
integer<int32>

Maximum number of results to return per page.

pageToken
string

Token for retrieving the next page of results.

Response

Success

data
AppRelationship · object[]

The list of app relationships.

nextPageToken
string | null

Token for retrieving the next page of results. Empty if no more results.